PDA

View Full Version : GCC errors: unrecognized option '--as-needed'



axr0284
12-09-2004, 09:56 AM
Hi,
I am getting the following error when I try to compile a simple 'hello world' program. :
/usr/lib/gcc-lib/i486-slackware-linux/3.3.4/../../../../i486-slackware-linux/bin/ld: unrecognized option '--as-needed'
It's looking for the assembler program but for some reason can't find it and I don't know where to look for it. What happened was that I upgraded GCC from 3.2 to 3.3.4. GCC was working fine before but now it gives me this error. Can anybody help me fix this?
Amish

iain
12-09-2004, 01:00 PM
What commandline options did you specify?

axr0284
12-09-2004, 01:05 PM
No command line arguments.

iain
12-09-2004, 01:16 PM
No command line arguments.

so you're just typing gcc at the command line

try gcc -o programName inputfile.c